libcamera: libcamera::ipa::CameraSensorHelperFactory< _Helper > Class Template Reference

libcamera v0.5.1 Supporting cameras in Linux since 2019 |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
libcamera::ipa::CameraSensorHelperFactory< _Helper > Class Template Referencefinal

Registration of CameraSensorHelperFactory classes and creation of instances. More...

Inheritance diagram for libcamera::ipa::CameraSensorHelperFactory< _Helper >:
[legend]
Collaboration diagram for libcamera::ipa::CameraSensorHelperFactory< _Helper >:
[legend]

## Public Member Functions
| CameraSensorHelperFactory (const char *name)
| Construct a camera sensor helper factory.
Public Member Functions inherited from libcamera::ipa::CameraSensorHelperFactoryBase
| CameraSensorHelperFactoryBase (const std::string name)
| Construct a camera sensor helper factory base.

## Additional Inherited Members
Static Public Member Functions inherited from libcamera::ipa::CameraSensorHelperFactoryBase
static std::unique_ptr< CameraSensorHelper > | create (const std::string &name)
| Create an instance of the CameraSensorHelper corresponding to a named factory.
static std::vector< CameraSensorHelperFactoryBase * > & | factories ()
| Retrieve the list of all camera sensor helper factories.

## Detailed Description

template<typename _Helper>
class libcamera::ipa::CameraSensorHelperFactory< _Helper >

Registration of CameraSensorHelperFactory classes and creation of instances.

Template Parameters

  _Helper | The camera sensor helper class type for this factory

To facilitate discovery and instantiation of CameraSensorHelper classes, the CameraSensorHelperFactory class implements auto-registration of camera sensor helpers. Each CameraSensorHelper subclass shall register itself using the REGISTER_CAMERA_SENSOR_HELPER() macro, which will create a corresponding instance of a CameraSensorHelperFactory subclass and register it with the static list of factories.

## Constructor & Destructor Documentation

## ◆ CameraSensorHelperFactory()

template<typename _Helper>

libcamera::ipa::CameraSensorHelperFactory< _Helper >::CameraSensorHelperFactory | ( | const char * | name | ) |
| inline

Construct a camera sensor helper factory.

Parameters

  [in] | name | Name of the camera sensor helper class

Creating an instance of the factory registers it with the global list of factories, accessible through the CameraSensorHelperFactoryBase::factories() function.

The factory name is used to look up factories and shall be unique.

The documentation for this class was generated from the following files:

- src/ipa/libipa/camera_sensor_helper.h
- src/ipa/libipa/camera_sensor_helper.cpp